#ifndef DISPLAY_H_INCLUDED
#define DISPLAY_H_INCLUDED

#include "vrp_pp.h"

#define X_RANGE = 500;
#define Y_RANGE = 500;

class DISPLAY_OBJECT {

    public:

    class VRP_PP_PROBLEM *PROBLEM;  // pointer to the problem object

    class VRP_PP_PLAN *SOLUTION;    // pointer to the plan object

    double xmin;        // needed to scale everything into [-1;-1] x [-1;1]
    double xmax;
    double ymin;
    double ymax;

    double x_factor;    // needed to maintain an undistored picture of the network
    double y_factor;

    int DISPLAY_ARCS=1;
    int DISPLAY_ROUTES=0;
    int DISPLAY_NODES=1;

    // the methods
    DISPLAY_OBJECT(class VRP_PP_PROBLEM *_PROBLEM, class VRP_PP_PLAN *_SOLUTION);
    ~DISPLAY_OBJECT();

    double get_x(double x);
    double get_y(double y);

    void print_nodes(void);
    void print_depots(void);
    void print_arcs(void);

    void print_routes(void);

    void print_route_agenda(void);
};

#endif // DISPLAY_H_INCLUDED
